# ObjectParserTest (Slick - The 2D Library)
Date: 2013-06-03

## org.newdawn.slick.tests.xml
Class ObjectParserTest

    java.lang.Object
      org.newdawn.slick.tests.xml.ObjectParserTest

    public class ObjectParserTest

extends java.lang.Object

A simple test to check that the object parser from XML works. Read the Javadoc of ObjectParser to work out whats going on here

Author:
  kevin

Constructor Summary
`ObjectParserTest()`

Method Summary
`static void` `main(java.lang.String[] argv)` Entity point to our test.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectParserTest

    public ObjectParserTest()

Method Detail

### main

    public static void main(java.lang.String[] argv)
                     throws SlickXMLException

  Entity point to our test. Simple read some XML which should generate an object tree.

  Parameters:
    `argv` - The arguments passed into the test
  Throws:
    `SlickXMLException` - Indicates a failure to parse XML or generate objects

Copyright © 2006 New Dawn Software. All Rights Reserved.